<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_adm.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    $id = isset($_POST["id"]) ? $_POST["id"]: '';
    $id = ($id);
    $pro = isset($_POST["pro"]) ? $_POST["pro"]: '';
    $select=$pdo_sgt->prepare("SELECT * FROM tb_hd_pro WHERE produto=:produto");
    $select->bindValue(":produto",$pro);
    $select->execute();
    $array = $select->fetch(PDO::FETCH_ASSOC);
    if($array['produto'] == $pro && $array['id'] != $id){
        echo"<script language='javascript' type='text/javascript'>
            alert('O produto: ".$pro." já existe!');
            window.history.go(-1)>Volta;
        </script>";
    } else {
        $query=$pdo_sgt->prepare("UPDATE tb_hd_pro SET produto=:produto WHERE id=:id");
        $query->bindValue(":produto",$pro);
        $query->bindValue(":id",$id);
        $query->execute();
        $mensagem = "Dados alterados na tabela: tb_hd_pro - Para o campo: produtor - Com o seguinte valor: $pro.";
        salvaLog($mensagem);
        echo"<script language='javascript' type='text/javascript'>
            window.history.go(-1)>Volta;
        </script>";
    }
?>